Skip to main content
GET
/
worklist
List worklist tasks
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/worklist \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "subtitle": "<string>",
      "description": "<string>",
      "task_type": "<string>",
      "priority": "<string>",
      "status": "<string>",
      "printer_id": "<string>",
      "estimated_time_minutes": 123,
      "actual_time_minutes": 123,
      "started_at": "<string>",
      "completed_at": "<string>",
      "due_date": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "meta": {
    "limit": 123,
    "offset": 123,
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Query Parameters

status
enum<string>

Filter by task status

Available options:
pending,
in_progress,
completed,
cancelled
task_type
enum<string>

Filter by task type

Available options:
assembly,
filament_change,
collection,
maintenance,
quality_check
limit
integer
default:50

Maximum number of rows to return (1-100)

Required range: 1 <= x <= 100
offset
integer | null
default:0

Number of rows to skip for pagination

Required range: x >= 0

Response

Worklist task list

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object
required